Loading...
Searching...
No Matches
mdds::trie::value_serializer< std::string > Struct Reference
Inheritance diagram for mdds::trie::value_serializer< std::string >:

## Additional Inherited Members

Static Public Member Functions inherited from mdds::trie::numeric_value_serializer< T >
static void | write (std::ostream &os, const T &v)
static void | read (std::istream &is, size_t n, T &v)
Static Public Member Functions inherited from mdds::trie::variable_value_serializer< std::string >
static void | write (std::ostream &os, const std::string &v)
static void | read (std::istream &is, size_t n, std::string &v)
Static Public Attributes inherited from mdds::trie::numeric_value_serializer< T >
static constexpr bool | variable_size = false
static constexpr size_t | value_size = sizeof(T)
Static Public Attributes inherited from mdds::trie::variable_value_serializer< std::string >
static constexpr bool | variable_size